import { connect } from "react-redux";

import { setVocabLoading, setVocabVocab } from "../actions";

import { IVocab } from "../models/vocab";

import VocabPage from "../pages/vocab";

const mapStateToProps = state => {
    return {
        loading: state.vocab.loading,
        vocab: state.vocab.vocab,
    };
};
const mapDispatchToProps = dispatch => {
    return {
        setLoading: (state: boolean) => dispatch(setVocabLoading(state)),
        setVocab: (vocab: IVocab[]) => dispatch(setVocabVocab(vocab)),
    };
};

const VocabPageContainer = connect(mapStateToProps,
    mapDispatchToProps)(VocabPage);
export default VocabPageContainer;
